Subject: Réf. : Re: linux-mips Vs kernel.org

From: Florian DELIZY <[email-masked]>
Date: Tue, 27 Sep 2005 11:06:25 +0200

Is that meaning that kernel.org source code is merged into linux-mips.org 
repository, 
or that linux-mips.org code is merged into the kernel.org source 
repository ?

Jan-Benedict Glaw <[email-masked]>

Envoyé par : [email-masked]
27/09/2005 10:12
Remis le : 27/09/2005 10:13

        Pour :  [email-masked]
        cc :    (ccc : Florian DELIZY/EXT/SAGEM)
        Objet : Re: linux-mips Vs kernel.org

On Tue, 2005-09-27 09:52:01 +0200, Florian DELIZY 
<[email-masked]> wrote:
> We currently working with the 2.6.12 kernel, and wondering which from
> linux-mips or kernel.org version we should use,
> in a more general manner, what are the differences between linux-mips 
and
> kernel.org kernel source code, is one the
> mirror of the other, or is there one that frequently merge with the 
other

Use the linux-mips.org tree to do any work.

To find out about the differences, just download a kernel.org kernel
and run a 'diff -Nurp' against what you find on linux-mips.org.

Up to now, merges happened every now-and-then, but not on a very
regular basis. However, there's hope for more timely merges since Ralf
is on the way to move the souce base over to GIT, which should ease
further merges...

MfG, JBG

--
Jan-Benedict Glaw       [email-masked]    . +49-172-7608481 _ O _
"Eine Freie Meinung in  einem Freien Kopf    | Gegen Zensur | Gegen Krieg 
_ _ O
für einen Freien Staat voll Freier Bürger"  | im Internet! |   im Irak! O 
O O
ret = do_actions((curr | FREE_SPEECH) & ~(NEW_COPYRIGHT_LAW | DRM | 
TCPA));

---

From: Jan-Benedict Glaw <[email-masked]>
Date: Tue, 27 Sep 2005 11:11:59 +0200

> Is that meaning that kernel.org source code is merged into linux-mips.org 

Yes. Regularly.

> or that linux-mips.org code is merged into the kernel.org source 

Yes. From time to time.

MfG, JBG

-- 
Jan-Benedict Glaw       [email-masked]    . +49-172-7608481             _ O _
"Eine Freie Meinung in  einem Freien Kopf    | Gegen Zensur | Gegen Krieg  _ _ O
 für einen Freien Staat voll Freier Bürger"  | im Internet! |   im Irak!   O O O
ret = do_actions((curr | FREE_SPEECH) & ~(NEW_COPYRIGHT_LAW | DRM | TCPA));

---

From: "Kevin D. Kissell" <[email-masked]>
Date: Tue, 27 Sep 2005 11:18:38 +0200

> or that linux-mips.org code is merged into the kernel.org source 

Les deux. But kernel.org -> linux-mips.org merges are more frequent.

	Regards,

	Kevin K.